System.Core 4.0.0.0 System.Enum System.Flags

The enumeration specifies which file system actions are allowed for a particular user account and which file system actions are audited for a particular user account.

Use the enumeration when you create an access rule with the class or when you create an audit rule with the class.

This enumeration contains several specific system rights values and several values that are a combination of those specific values. It is easier to use the combination values, such as , , and , rather than specifying each component value separately.

Defines the access rights to use when you create access and audit rules.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to make changes to the system access control list (SACL).

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to change the security and audit rules that are associated with a pipe.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to create a new pipe. Setting this right also sets the right.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to delete a pipe.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to exert full control over a pipe, and to modify access control and audit rules. This value represents the combination of all rights in this enumeration.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to read from the pipe. This right includes the , , , and rights.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to read file system attributes from a pipe. This does not include the right to read data, extended file system attributes, or access and audit rules.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to read data from the pipe. This does not include the right to read file system attributes, extended file system attributes, or access and audit rules.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to read extended file system attributes from a pipe. This does not include the right to read data, file system attributes, or access and audit rules.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to read access and audit rules from the pipe. This does not include the right to read data, file system attributes, or extended file system attributes.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to read and write from the pipe. This right includes the , , , , , , and rights.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  The value is automatically set when allowing access to the pipe and automatically excluded when denying access to the pipe.

  The right to create a pipe requires this value. Note that if you do not explicitly set this value when you create a pipe, the value will be set automatically for you.

  Specifies whether the application can wait for a pipe handle to synchronize with the completion of an I/O operation.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to change the owner of a pipe. Note that owners of a pipe have full access to that resource.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to write to the pipe. This right includes the , , and rights.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to write file system attributes to a pipe. This does not include the right to write data or extended file system attributes.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to write data to a pipe. This does not include the right to write file system attributes or extended file system attributes.

- Field
  4.0.0.0
  System.IO.Pipes.PipeAccessRights

  Specifies the right to write extended file system attributes to a pipe. This does not include the right to write file attributes or data.